Arduino

Reference Language | Libraries | Comparison | Changes

USBHost : USBHost class

## Task()

#### Description

Task() polls connected usb devices for updates to their status.

NB : If there is no activity on a connected USB device, task() will block all other calls for 5 second intervals.

#### Syntax

usb.Task()

#### Parameters

usb : the name of the USB controller object

#### Example

#include <MouseController.h>
// Initialize USB Controller
USBHost usb;
// Attach mouse controller to USB
MouseController mouse(usb);
void setup(){
Serial.begin(9600);
}
void loop(){
usb.Task();
}
[Get Code]

#### See Also

- MouseController
- KeyboardController
- USBHost
  Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers